Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.protocol.http.proxy
Interface SamplerCreator

All Known Implementing Classes:
  AbstractSamplerCreator, DefaultSamplerCreator

    public interface SamplerCreator

Factory of sampler

Method Summary
`HTTPSamplerBase` | `createSampler(HttpRequestHdr request, Map<String,String> pageEncodings, Map<String,String> formEncodings)` Create HTTPSamplerBase
`String[]` | `getManagedContentTypes()`
`void` | `populateSampler(HTTPSamplerBase sampler, HttpRequestHdr request, Map<String,String> pageEncodings, Map<String,String> formEncodings)` Populate sampler from request

Method Detail

### getManagedContentTypes

    String[] getManagedContentTypes()

  Returns:
    String[] array of Content types managed by Factory

### createSampler

    HTTPSamplerBase createSampler(HttpRequestHdr request,
                                  Map<String,String> pageEncodings,
                                  Map<String,String> formEncodings)

  Create HTTPSamplerBase

  Parameters:
    `request` - `HttpRequestHdr`
    `pageEncodings` - Map
    `formEncodings` - Map
  Returns:
    `HTTPSamplerBase`

### populateSampler

    void populateSampler(HTTPSamplerBase sampler,
                         HttpRequestHdr request,
                         Map<String,String> pageEncodings,
                         Map<String,String> formEncodings)
                         throws Exception

  Populate sampler from request

  Parameters:
    `sampler` - `HTTPSamplerBase`
    `request` - `HttpRequestHdr`
    `pageEncodings` - Map
    `formEncodings` - Map
  Throws:
    `Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2012 Apache Software Foundation. All Rights Reserved.